package com.xinelu.manage.mapper.signpatientrecord;

import com.xinelu.manage.domain.signpatientrecord.SignPatientRecord;
import com.xinelu.manage.dto.signpatientrecord.SignPatientListDto;
import com.xinelu.manage.vo.signpatientrecord.SignPatientInfoVo;
import com.xinelu.manage.vo.signpatientrecord.SignPatientRecordVo;
import com.xinelu.manage.vo.signpatientrecord.SignPatientListVo;
import java.util.List;

/**
* @author haown
* @description 针对表【sign_patient_record(签约记录表)】的数据库操作Mapper
* @createDate 2024-02-28 15:05:17
* @Entity com.xinelu.manage.domain.SignPatientRecord
*/
public interface SignPatientRecordMapper {

    int deleteByPrimaryKey(Long id);

    int insert(SignPatientRecord record);

    int insertSelective(SignPatientRecord record);

    SignPatientRecord selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(SignPatientRecord record);

    int updateByPrimaryKey(SignPatientRecord record);

	List<SignPatientListVo> selectList(SignPatientListDto signPatientRecord);

	SignPatientInfoVo getByRecordId(Long id);

	List<SignPatientRecordVo> getByPatient(Long patientId);

}
